@echo off

REM ##### 初期設定 #####
set BIN_DIR=bin
set MODULES_DIR=modules
set MOD_JK_FILE_NAME=mod_jk.so
set HTTPD_EXE=httpd.exe

REM ##### 引数取得 #####
set PRODUCT_NAME=%1
set PRODUCT_VER=%2
set APACHE_HOME=%~3
set MOD_JK_BIN_PATH=%~4
set SERVICE_NAME=%~5

REM ##### 初期処理 #####
if NOT "%APACHE_HOME:~-1%" == "\" (
	set APACHE_HOME=%APACHE_HOME%\
)

REM ##### 存在チェック #####
cd "%APACHE_HOME%%MODULES_DIR%"
if not exist "%MOD_JK_FILE_NAME%" (
	echo %PRODUCT_NAME%は、インストールされていません。
	goto end
)
goto update

REM ##### アップデート #####
:update
echo %PRODUCT_NAME%のアップデート処理をします。^(Ver.%PRODUCT_VER%^)
REM ここにアップデート処理を記述する(パッチ当てなど)

cd "%APACHE_HOME%%BIN_DIR%"
if exist "%HTTPD_EXE%" (
	"%HTTPD_EXE%" -k stop -n "%SERVICE_NAME%"
)
copy /b /y "%MOD_JK_BIN_PATH%" "%APACHE_HOME%%MODULES_DIR%\%MOD_JK_FILE_NAME%"

:end
